Subject: Re: [PATCH 2/2] ASIX: Use only 11 bits of header for data size

From: Marek Vasut <[email-masked]>
Date: Thu, 28 Jul 2011 08:06:18 +0200

On Thursday, July 28, 2011 07:40:29 AM David Miller wrote:
> From: Marek Vasut <[email-masked]>
> Date: Wed, 27 Jul 2011 04:44:47 +0200
> 
> > The AX88772B uses only 11 bits of the header for the actual size. The
> > other bits
> > 
> > are used for something else. This causes dmesg full of messages:
> > 	asix_rx_fixup() Bad Header Length
> > 
> > This patch trims the check to only 11 bits. I believe on older chips, the
> > remaining 5 top bits are unused.
> > 
> > Signed-off-by: Marek Vasut <[email-masked]>
> 
> Applied.

Hi, did you test it ?

I left NOTEs outside the commit message:

NOTE: If possible, can someone test/verify this patch with other ASIX chips ?
NOTE2: If Ack-ed, Greg, can you get this into -stable?

I hope I won't have a horde of angry people at my door soon ;-)
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html